Gets the file in which the object was created

- « Throwable::getCode

- Throwable::getLine »

- PHP Manual
- Throwable
- Gets the file in which the object was created

# Throwable::getFile

(PHP 7, PHP 8)

Throwable::getFile — Gets the file in which the object was created

### Description

public Throwable::getFile(): string

Get the name of the file in which the thrown object was created.

### Parameters

This function has no parameters.

### Return Values

Returns the filename in which the thrown object was created.

### See Also

- Exception::getFile() - Gets the file in which the exception was created